{% extends 'core/base-tables.html' %}

{% block content %}

  <main id="main">

    <!-- ======= Breadcrumbs ======= -->
    <section id="breadcrumbs" class="breadcrumbs">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex align-items-center">
            <div class="col-md-12 text-left" data-aos="fade-up">
              <h2>{{ titulo }}</h2>
              <a href="{{ url_for('Home.index') }}">Inicio</a>
              <i class="icofont-curved-right"></i>Administración
              <i class="icofont-curved-right"></i>Usuarios
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Breadcrumbs -->

    <!-- ======= Table-List Section ======= -->
    <section id="list" class="list section-bg">
      <div class="container-fluid">
        <div class="row justify-content-center">
          <div class="col-xl-10 d-flex entries">
            <div class="col-md-12 text-left" data-aos="fade-up">

              <div id="toolbar">
                <span>
                  <a id="new" class="new btn-primary animate__animated animate__fadeInUp" 
                      href="#modalEdit" title="Nuevo" data-toggle="modal">
                    <span><i class="icofont-plus"></i> Usuario</span>
                  </a>
                </span>
              </div>

              {% if (datos|count > 0) %}
              <table id="table" class="table table-striped"
                data-toggle="table"
                data-search="true"
                data-search-highlight="true"
                data-show-refresh="true"
                data-show-columns="true"
                data-show-export="true"
                data-pagination="true"
                data-click-to-select="true"
                data-toolbar="#toolbar"
                data-page-size="25"
                data-page-list="[10, 25, 50, 100, all]">
                <thead>
                  <tr>
                    <th data-field="identificacion" data-align="center" data-sortable="true">Id</th>
                    <th data-field="nombre" data-align="left" data-sortable="true" data-filter-control="input">Nombre</th>
                    <th data-field="correo" data-align="left">Email</th>
                    <th data-field="estado" data-align="left">Estado</th>
                    <th data-field="operate" data-align="center" data-formatter="actionsFormatter" data-events="window.actionsEvents">Acciones</th>
                  </tr>
                </thead>          
              </table>
              {% else %}
              <p><br>No se encontraron Usuarios.</p>
              {% endif %}
        
            </div>
          </div>
        </div>
      </div>
    </section><!-- End Table-List Section -->

  </main><!-- End #main -->

  <!-- Modal New/Edit HTML -->
  {% include 'admin/usuarios/editar.html' %}
  
{% endblock %}


{% block scripts %}
  <script>
    var $table = $('#table')
    var $new = $('#new')

    function actionsFormatter(value, row, index) {
      return [
        '<a class="edit" href="#modalEdit" title="Editar" data-toggle="modal">',
        '<i class="bx bxs-pencil"></i>',
        '</a>',
        '<a class="delete" href="#modalDelete" title="Borrar" data-toggle="modal">',
        '<i class="bx bxs-trash-alt"></i>',
        '</a>'
      ].join('')
    }

    window.actionsEvents = {
      'click .edit': function (e, value, row, index) {
        document.getElementById('formEdit').action="{{url_for('Usuarios.action_usuario')}}" + '?dbAction=update';
        document.getElementById('titleEdit').innerHTML = 'Editar Usuario';
        document.getElementById('Identificacion').value = JSON.stringify(row.identificacion).replaceAll('"','');
        document.getElementById('Identificacion').readOnly = true;
        document.getElementById('Nombre').value = JSON.stringify(row.nombre).replaceAll('"','');
        document.getElementById('Correo').value = JSON.stringify(row.correo).replaceAll('"','');
        document.getElementById('Clave').value = JSON.stringify(row.clave).replaceAll('"','');
        document.getElementById('Clave').readOnly = true;
        $( "#ieye" ).hide();
        if (JSON.stringify(row.estado) == '"Activo"')
          document.getElementById('Estado1').checked = true;
        else if (JSON.stringify(row.estado).replaceAll('"','') == 'Inactivo')
          document.getElementById('Estado0').checked = true;
      },
      'click .delete': function (e, value, row, index) {
        const msg = 'Se eliminará el usuario:<br><i>' + JSON.stringify(row.nombre).replaceAll('"','') + '</i>';
        const url = "{{url_for('Usuarios.delete_usuario')}}" + '?id=' + JSON.parse(row.cedula);
        document.getElementById('titleDelete').innerHTML = 'Borrar Usuario';
        document.getElementById('msgDelete').innerHTML = msg;
        document.getElementById('formDelete').action = url;
      }
    }

    $.extend($.fn.bootstrapTable.defaults.icons, {
      refresh: 'icofont-refresh',
      columns: 'icofont-navigation-menu',
      export: 'icofont-download'
    });

    $(function() {
      $table.bootstrapTable('destroy').bootstrapTable({
        exportDataType: 'all',
        exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel', 'pdf'],
        locale: 'es-ES',
        data: {{datos|tojson}}
      });

      // New record
      $new.click(function () {
        document.getElementById('formEdit').action="{{url_for('Usuarios.action_usuario')}}" + '?dbAction=create';
        document.getElementById('titleEdit').innerHTML = 'Crear Usuario';
        document.getElementById('Identificacion').value = '';
        document.getElementById('Identificacion').readOnly = false;
        document.getElementById('Nombre').value = '';
        document.getElementById('Correo').value = '';
        document.getElementById('Clave').value = '';
        document.getElementById('Clave').readOnly = false;
        $( "#ieye" ).show();
        document.getElementById('Estado1').checked = '';
        document.getElementById('Estado0').checked = '';
      })
    })

    function showHideClave() {
      var x = document.getElementById("Clave");
      var show_eye = document.getElementById("show_eye");
      var hide_eye = document.getElementById("hide_eye");
      hide_eye.classList.remove("d-none");
      if (x.type === "password") {
        x.type = "text";
        show_eye.style.display = "none";
        hide_eye.style.display = "block";
      } else {
        x.type = "password";
        show_eye.style.display = "block";
        hide_eye.style.display = "none";
      }
    }

  </script>
  
{% endblock %}
